2017-06-25 06:06 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002559OpenFOAM[All Projects] Bugpublic2017-05-21 15:43
ReporterehsanM 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSOpenSuSEOS Version12.3
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002559: -dev version fails compiling
DescriptionHello,

I have faced the issue when I was trying to update the OpenFOAM. The issue happens during compiling of the OpenFOAM. I guess, if I am not wrong it might comes from the meshes/primitiveShapes/cut/cutI.H . Below is the error message that the compiler returns. Thank you very much for your time and consideration.

Best regards,
Ehsan
Steps To ReproduceThirdParty compiles fine, but the step for compiling OpenFOAM fails.
Additional Information-fPIC -c tetOverlapVolume/tetOverlapVolume.C -o /home/ehsan/OpenFOAM/OpenFOAM-dev/platforms/linux64GccDPInt32Opt/src/meshTools/tetOverlapVolume/tetOverlapVolume.o
In file included from /home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cut.H:484:0,
                 from tetOverlapVolume/tetOverlapVolume.C:32:
/home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cutI.H: In instantiation of ‘typename Foam::cut::opAddResult<AheadOp, BehindOp>::type Foam::tetCut(const Foam::FixedList<Foam::Vector<double>, 4u>&, const Foam::FixedList<double, 4u>&, const AboveOp&, const BelowOp&) [with AboveOp = Foam::cut::appendOp<Foam::tetOverlapVolume::cutTetList<27u> >; BelowOp = Foam::cut::noOp; typename Foam::cut::opAddResult<AheadOp, BehindOp>::type = Foam::zero]’:
/home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cutI.H:632:47: required from ‘typename Foam::cut::opAddResult<AheadOp, BehindOp>::type Foam::tetCut(const Foam::FixedList<Foam::Vector<double>, 4u>&, const Foam::plane&, const AboveOp&, const BelowOp&) [with AboveOp = Foam::cut::appendOp<Foam::tetOverlapVolume::cutTetList<27u> >; BelowOp = Foam::cut::noOp; typename Foam::cut::opAddResult<AheadOp, BehindOp>::type = Foam::zero]’
tetOverlapVolume/tetOverlapVolume.C:66:72: required from here
/home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cutI.H:565:44: error: conversion from ‘const Foam::cut::uniformOp<Foam::tetOverlapVolume::cutTetList<27u>&>’ to non-scalar type ‘Foam::cut::appendOp<Foam::tetOverlapVolume::cutTetList<27u> >’ requested
     AboveOp a = tetReorder(aboveOp, indices);
                                            ^
/home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cutI.H:566:44: error: conversion from ‘const Foam::cut::uniformOp<Foam::nil>’ to non-scalar type ‘Foam::cut::noOp’ requested
     BelowOp b = tetReorder(belowOp, indices);
                                            ^
/home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cutI.H: In instantiation of ‘typename Foam::cut::opAddResult<AheadOp, BehindOp>::type Foam::tetCut(const Foam::FixedList<Foam::Vector<double>, 4u>&, const Foam::FixedList<double, 4u>&, const AboveOp&, const BelowOp&) [with AboveOp = Foam::cut::volumeOp; BelowOp = Foam::cut::noOp; typename Foam::cut::opAddResult<AheadOp, BehindOp>::type = double]’:
/home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cutI.H:632:47: required from ‘typename Foam::cut::opAddResult<AheadOp, BehindOp>::type Foam::tetCut(const Foam::FixedList<Foam::Vector<double>, 4u>&, const Foam::plane&, const AboveOp&, const BelowOp&) [with AboveOp = Foam::cut::volumeOp; BelowOp = Foam::cut::noOp; typename Foam::cut::opAddResult<AheadOp, BehindOp>::type = double]’
tetOverlapVolume/tetOverlapVolume.C:104:57: required from here
/home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cutI.H:565:44: error: conversion from ‘const Foam::cut::uniformOp<Foam::nil>’ to non-scalar type ‘Foam::cut::volumeOp’ requested
     AboveOp a = tetReorder(aboveOp, indices);
                                            ^
/home/ehsan/OpenFOAM/OpenFOAM-dev/src/OpenFOAM/lnInclude/cutI.H:566:44: error: conversion from ‘const Foam::cut::uniformOp<Foam::nil>’ to non-scalar type ‘Foam::cut::noOp’ requested
     BelowOp b = tetReorder(belowOp, indices);
                                            ^
/home/ehsan/OpenFOAM/OpenFOAM-dev/wmake/rules/General/transform:25: recipe for target '/home/ehsan/OpenFOAM/OpenFOAM-dev/platforms/linux64GccDPInt32Opt/src/meshTools/tetOverlapVolume/tetOverlapVolume.o' failed
make: *** [/home/ehsan/OpenFOAM/OpenFOAM-dev/platforms/linux64GccDPInt32Opt/src/meshTools/tetOverlapVolume/tetOverlapVolume.o] Error 1
make: *** Waiting for unfinished jobs....
Tagscompilation
Attached Files

-Relationships
+Relationships

-Notes

~0008172

henry (manager)

Which gcc version are you using?

~0008173

ehsanM (reporter)

It is gcc (SUSE Linux) 4.8.5

~0008174

henry (manager)

Thanks for the clarification. We have reproduced the problem and will push a fix shortly.

~0008175

ehsanM (reporter)

Thanks for your consideration and support.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-20 07:02 ehsanM New Issue
2017-05-20 07:02 ehsanM Tag Attached: compilation
2017-05-20 08:07 henry Note Added: 0008172
2017-05-20 15:58 ehsanM Note Added: 0008173
2017-05-20 16:09 henry Note Added: 0008174
2017-05-20 16:18 ehsanM Note Added: 0008175
2017-05-21 11:53 henry Assigned To => henry
2017-05-21 11:53 henry Status new => resolved
2017-05-21 11:53 henry Resolution open => fixed
2017-05-21 11:53 henry Fixed in Version => dev
2017-05-21 15:43 henry View Status private => public
+Issue History